Package io.vertx.junit5

## Class CountingCheckpoint

- java.lang.Object
- - io.vertx.junit5.CountingCheckpoint

- All Implemented Interfaces:
    `Checkpoint`

      public final class CountingCheckpoint
      extends Object
      implements Checkpoint

  Checkpoints that count the number of flag invocations.
  Author:
    Julien Ponge

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StackTraceElement` | `creationCallSite()` |
    `void` | `flag()` | Flags the checkpoint.
    `static CountingCheckpoint` | `laxCountingCheckpoint​(java.util.function.Consumer<Checkpoint> satisfactionTrigger, int requiredNumberOfPasses)` |
    `boolean` | `satisfied()` |
    `static CountingCheckpoint` | `strictCountingCheckpoint​(java.util.function.Consumer<Checkpoint> satisfactionTrigger, java.util.function.Consumer<Throwable> overuseTrigger, int requiredNumberOfPasses)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### laxCountingCheckpoint

          public static CountingCheckpoint laxCountingCheckpoint​(java.util.function.Consumer<Checkpoint> satisfactionTrigger,
                                                                 int requiredNumberOfPasses)

    - #### strictCountingCheckpoint

          public static CountingCheckpoint strictCountingCheckpoint​(java.util.function.Consumer<Checkpoint> satisfactionTrigger,
                                                                    java.util.function.Consumer<Throwable> overuseTrigger,
                                                                    int requiredNumberOfPasses)

    - #### flag

          public void flag()

      Description copied from interface: `Checkpoint`
      Flags the checkpoint.
      Specified by:
        `flag` in interface `Checkpoint`

    - #### satisfied

          public boolean satisfied()

    - #### creationCallSite

          public StackTraceElement creationCallSite()